Package org.eclipse.lemminx.xpath.matcher

## Class XPathAttributeNameMatcher

- java.lang.Object
- - org.eclipse.lemminx.xpath.matcher.AbstractXPathNodeMatcher
  - - org.eclipse.lemminx.xpath.matcher.XPathAttributeNameMatcher

All Implemented Interfaces:
  `IXPathNodeMatcher`

    public class XPathAttributeNameMatcher
    extends AbstractXPathNodeMatcher

XPath attribute name matcher matches `Attr` name of `Element`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`IXPathNodeMatcher.MatcherType`

### Field Summary

Fields
`static String` `ANY_ELEMENT_NAME`

### Fields inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`EMPTY_NODE_MATCHER`

### Constructor Summary

Constructors
`XPathAttributeNameMatcher​(String prefix, String localName, XPathMatcher matcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPrefix()`
`IXPathNodeMatcher.MatcherType` `getType()` Returns matcher type.
`boolean` `isAny()` Returns true if matcher is any (Node is every time matched) and false otherwise.
`boolean` `match​(Node testNode, Collection<String> wildcardValues)` Match the `Node` and fill wildcard values if node matcher define widcard.

### Methods inherited from class org.eclipse.lemminx.xpath.matcher.AbstractXPathNodeMatcher

`getOwnerMatcher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ANY_ELEMENT_NAME

    public static final String ANY_ELEMENT_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### XPathAttributeNameMatcher

    public XPathAttributeNameMatcher​(String prefix,
                                     String localName,
                                     XPathMatcher matcher)

### Method Detail

#### getType

    public IXPathNodeMatcher.MatcherType getType()

Description copied from interface: `IXPathNodeMatcher`
Returns matcher type.

Returns:

#### getPrefix

    public String getPrefix()

#### match

    public boolean match​(Node testNode,
                         Collection<String> wildcardValues)

Description copied from interface: `IXPathNodeMatcher`
Match the `Node` and fill wildcard values if node matcher define widcard.

Parameters:
  `testNode` - node to test.
  `wildcardValues` - wildcard values if node matcher define widcard.
Returns:

#### isAny

    public boolean isAny()

Description copied from interface: `IXPathNodeMatcher`
Returns true if matcher is any (Node is every time matched) and false otherwise.

Returns: